GNU bug report logs - #32334
Window resize fails in remote X11

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: minor; Reported by: Russell Adams <Demo@HIDDEN>; merged with #25474, #31169, #32306; dated Tue, 31 Jul 2018 15:18:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 32334 <at> debbugs.gnu.org:


Received: (at 32334) by debbugs.gnu.org; 7 Aug 2018 14:42:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 07 10:42:42 2018
Received: from localhost ([127.0.0.1]:43792 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fn3C6-0006vP-M8
	for submit <at> debbugs.gnu.org; Tue, 07 Aug 2018 10:42:42 -0400
Received: from eggs.gnu.org ([208.118.235.92]:59013)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1fn3C4-0006vB-NS
 for 32334 <at> debbugs.gnu.org; Tue, 07 Aug 2018 10:42:40 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1fn3Bw-0007lr-D1
 for 32334 <at> debbugs.gnu.org; Tue, 07 Aug 2018 10:42:35 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:52067)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1fn3Bw-0007ln-8G; Tue, 07 Aug 2018 10:42:32 -0400
Received: from [176.228.60.248] (port=4926 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1fn3Bv-0000tQ-Mc; Tue, 07 Aug 2018 10:42:32 -0400
Date: Tue, 07 Aug 2018 17:42:30 +0300
Message-Id: <83h8k6qlux.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Robert Pluim <rpluim@HIDDEN>
In-reply-to: <87va8m8tgm.fsf@HIDDEN> (message from Robert Pluim on Tue, 07
 Aug 2018 10:35:37 +0200)
Subject: Re: bug#32334: Window resize fails in remote X11
References: <20180731102139.GA24976@volibear> <83r2jjnzfg.fsf@HIDDEN>
 <20180731163501.GF24976@volibear> <83k1pbnxrc.fsf@HIDDEN>
 <87sh3y5jh6.fsf@HIDDEN> <83sh3ymdxl.fsf@HIDDEN>
 <87o9em5i8z.fsf@HIDDEN> <87bmakq3os.fsf@HIDDEN>
 <83in4svp0d.fsf@HIDDEN> <87y3djby70.fsf@HIDDEN>
 <838t5jsepg.fsf@HIDDEN> <87va8m8tgm.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 32334
Cc: 32334 <at> debbugs.gnu.org, Demo@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

> From: Robert Pluim <rpluim@HIDDEN>
> Cc: Demo@HIDDEN,  32334 <at> debbugs.gnu.org
> Date: Tue, 07 Aug 2018 10:35:37 +0200
> 
> > Does x-server-vendor and/or x-server-version disclose in any way that
> > this particular X server is being used?
> 
> This is pretty close to what I see on Xorg on Ubuntu, so probably can't be used:
> 
> (x-server-version)
> (11 0 12000001)
> 
> But this looks fairly unique:
> 
> (x-server-vendor)
> "HC-Consult"
> 
> Were you thinking of conditionally disabling double-buffering based on
> x-server-vendor?

As Plan B, if no better solution is possible/practical, yes.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#32334; Package emacs. Full text available.

Message received at 32334 <at> debbugs.gnu.org:


Received: (at 32334) by debbugs.gnu.org; 7 Aug 2018 08:35:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 07 04:35:47 2018
Received: from localhost ([127.0.0.1]:43142 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fmxT1-00045I-Gf
	for submit <at> debbugs.gnu.org; Tue, 07 Aug 2018 04:35:47 -0400
Received: from mail-wm0-f49.google.com ([74.125.82.49]:36173)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1fmxSz-000452-Fa
 for 32334 <at> debbugs.gnu.org; Tue, 07 Aug 2018 04:35:45 -0400
Received: by mail-wm0-f49.google.com with SMTP id w24-v6so17082919wmc.1
 for <32334 <at> debbugs.gnu.org>; Tue, 07 Aug 2018 01:35:45 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:mail-copies-to:gmane-reply-to-list
 :date:in-reply-to:message-id:mime-version:content-transfer-encoding;
 bh=WeZf4WK4Z42gYXyei1hFuAi4rFiOZ3qEAe1638BVOG4=;
 b=Y7XWUiC0Hc09xYWqR+UJ6G7trj9jxLnOY/tjetB3wNhlYMO0qKgE8fEoE3uheqGBI5
 /DF9FsOoK0llUfNaKHolWfGl1zTJHpzKpEvvFSA6sAtvFGkkqq3PzJNAHswA04I6mOar
 mESc+mwq+lhV4V17rPk0v5SEuqvYYTSj9C+xDYVTutaYX/6znKuz91uYa6vGacWC/Hpa
 rmomUkBizMSaZ4+RgVnn6PnLM+cXFCGl4v9wQorviyfnVMGv7ppGELgyXiEmUCWlv8dU
 Ordb1xCGMF9GSdv3J0PYXBJIWGzkxjNtnSVY7nKZBIceSwYzgCAN92zivbBZdAUU9RQ1
 FGhA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:mail-copies-to
 :gmane-reply-to-list:date:in-reply-to:message-id:mime-version
 :content-transfer-encoding;
 bh=WeZf4WK4Z42gYXyei1hFuAi4rFiOZ3qEAe1638BVOG4=;
 b=IFiCDYacW/Jwlct3xpoCnaV3anq45sQin5bku19rO5vkDYLvtQZ/FunAGLjr0stl2k
 oAyQTgziyD8oa3/1GGUjvlAkJQr0bePfIoRlpHrekgemCZJFudq2Zt0Mdv8UpeP9xn7z
 9V9VtLNbwC0rLzjTEw6W3+VjHPyw1yHYrigdS3hAbwGcv7fTj6rD50WlwEDWM+aBt3To
 iEons9PgiLWQohURF11LmM8XvxBdWmd15i0DYDsc5N2kPvjesK/a6mFcmPAzOFVX5NjF
 vwWF3C3Gd1pps6QqbSKZyo6Qs063qkeFcZrszbkUA5fPiz6QLZBSyhxc5wuYdhOQCiin
 m66w==
X-Gm-Message-State: AOUpUlHSuiQ5ez5kcTOvBMHLRm62Fwq5Sw77TOtFCJ4ywSYbIR5I+ytB
 IZE/Ebo5RhcfTr8eFU09r1hOJLBU
X-Google-Smtp-Source: AA+uWPxHa3hlFMRGTUuBZSSE453qGfWka5noTbuIxfvGnTufcSmwGOXd5i67OKj42MY1JqyZk2KpHQ==
X-Received: by 2002:a1c:87c9:: with SMTP id
 j192-v6mr937523wmd.71.1533630939053; 
 Tue, 07 Aug 2018 01:35:39 -0700 (PDT)
Received: from rpluim-ubuntu (vav06-1-78-207-202-134.fbx.proxad.net.
 [78.207.202.134])
 by smtp.gmail.com with ESMTPSA id a9-v6sm869060wrp.55.2018.08.07.01.35.37
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Tue, 07 Aug 2018 01:35:38 -0700 (PDT)
From: Robert Pluim <rpluim@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#32334: Window resize fails in remote X11
References: <20180731102139.GA24976@volibear> <83r2jjnzfg.fsf@HIDDEN>
 <20180731163501.GF24976@volibear> <83k1pbnxrc.fsf@HIDDEN>
 <87sh3y5jh6.fsf@HIDDEN> <83sh3ymdxl.fsf@HIDDEN>
 <87o9em5i8z.fsf@HIDDEN> <87bmakq3os.fsf@HIDDEN>
 <83in4svp0d.fsf@HIDDEN> <87y3djby70.fsf@HIDDEN>
 <838t5jsepg.fsf@HIDDEN>
X-Debbugs-No-Ack: yes
Mail-Copies-To: never
Gmane-Reply-To-List: yes
Date: Tue, 07 Aug 2018 10:35:37 +0200
In-Reply-To: <838t5jsepg.fsf@HIDDEN> (Eli Zaretskii's message of "Mon, 06 Aug
 2018 18:21:47 +0300")
Message-ID: <87va8m8tgm.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 32334
Cc: 32334 <at> debbugs.gnu.org, Demo@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

>> From: Robert Pluim <rpluim@HIDDEN>
>> Cc: Demo@HIDDEN,  32334 <at> debbugs.gnu.org
>> Date: Mon, 06 Aug 2018 12:12:51 +0200
>>=20
>> I also tested with Cygwin's XServer, which supports the double
>> buffering extension. I used the same ssh session, and emacs came up
>> and looked and worked fine.
>>=20
>> So at this point it=CA=BCs looking more like an issue with VcXsrv than w=
ith
>> emacs. I=CA=BCll see if I can engage with them after I get back from vac=
ation.
>
> Thanks, I think we are making good progress here.  If nothing else, we
> could update etc/PROBLEMS with the information about the faulty X
> server and the suggested replacement/workaround.
>
> Does x-server-vendor and/or x-server-version disclose in any way that
> this particular X server is being used?

This is pretty close to what I see on Xorg on Ubuntu, so probably can't be =
used:

(x-server-version)
(11 0 12000001)

But this looks fairly unique:

(x-server-vendor)
"HC-Consult"

Were you thinking of conditionally disabling double-buffering based on
x-server-vendor?

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#32334; Package emacs. Full text available.

Message received at 32334 <at> debbugs.gnu.org:


Received: (at 32334) by debbugs.gnu.org; 6 Aug 2018 15:22:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 06 11:22:01 2018
Received: from localhost ([127.0.0.1]:42839 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fmhKb-0008Sb-Lu
	for submit <at> debbugs.gnu.org; Mon, 06 Aug 2018 11:22:01 -0400
Received: from eggs.gnu.org ([208.118.235.92]:58091)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1fmhKa-0008SB-8i
 for 32334 <at> debbugs.gnu.org; Mon, 06 Aug 2018 11:22:00 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1fmhKR-0004CY-Tr
 for 32334 <at> debbugs.gnu.org; Mon, 06 Aug 2018 11:21:55 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.5 required=5.0 tests=BAYES_05 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:54603)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1fmhKR-0004CJ-Qk; Mon, 06 Aug 2018 11:21:51 -0400
Received: from [176.228.60.248] (port=2761 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1fmhKR-0005Xi-34; Mon, 06 Aug 2018 11:21:51 -0400
Date: Mon, 06 Aug 2018 18:21:47 +0300
Message-Id: <838t5jsepg.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Robert Pluim <rpluim@HIDDEN>
In-reply-to: <87y3djby70.fsf@HIDDEN> (message from Robert Pluim on Mon, 06
 Aug 2018 12:12:51 +0200)
Subject: Re: bug#32334: Window resize fails in remote X11
References: <20180731102139.GA24976@volibear> <83r2jjnzfg.fsf@HIDDEN>
 <20180731163501.GF24976@volibear> <83k1pbnxrc.fsf@HIDDEN>
 <87sh3y5jh6.fsf@HIDDEN> <83sh3ymdxl.fsf@HIDDEN>
 <87o9em5i8z.fsf@HIDDEN> <87bmakq3os.fsf@HIDDEN>
 <83in4svp0d.fsf@HIDDEN> <87y3djby70.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 32334
Cc: 32334 <at> debbugs.gnu.org, Demo@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

> From: Robert Pluim <rpluim@HIDDEN>
> Cc: Demo@HIDDEN,  32334 <at> debbugs.gnu.org
> Date: Mon, 06 Aug 2018 12:12:51 +0200
> 
> I also tested with Cygwin's XServer, which supports the double
> buffering extension. I used the same ssh session, and emacs came up
> and looked and worked fine.
> 
> So at this point itʼs looking more like an issue with VcXsrv than with
> emacs. Iʼll see if I can engage with them after I get back from vacation.

Thanks, I think we are making good progress here.  If nothing else, we
could update etc/PROBLEMS with the information about the faulty X
server and the suggested replacement/workaround.

Does x-server-vendor and/or x-server-version disclose in any way that
this particular X server is being used?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#32334; Package emacs. Full text available.

Message received at 32334 <at> debbugs.gnu.org:


Received: (at 32334) by debbugs.gnu.org; 6 Aug 2018 10:13:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 06 06:13:00 2018
Received: from localhost ([127.0.0.1]:42304 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fmcVY-0007LB-Bn
	for submit <at> debbugs.gnu.org; Mon, 06 Aug 2018 06:13:00 -0400
Received: from mail-wm0-f43.google.com ([74.125.82.43]:52331)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1fmcVW-0007Kx-Vq
 for 32334 <at> debbugs.gnu.org; Mon, 06 Aug 2018 06:12:59 -0400
Received: by mail-wm0-f43.google.com with SMTP id o11-v6so13163772wmh.2
 for <32334 <at> debbugs.gnu.org>; Mon, 06 Aug 2018 03:12:58 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:mail-copies-to:gmane-reply-to-list
 :date:message-id:mime-version:content-transfer-encoding;
 bh=55vr2gaA8C0AypfuO3uYBVC77sWr1hu50ZnRFeK3C+Q=;
 b=TIEZrjdcasdr3/KbA9bvbJsQC7f3St08nnaIvnl5x7cFV2CNgOaVtZqi78MvyzIgzO
 6EGN6j7QJDA9jyi5V3b9SPke4/OPiffzOyVVT4Mt3/f2eAczD9Jw2hpV+TrIDV3KbjlU
 w4yiN8SpTRgXKAZH+eyVzEDdFBn0V2XKMjCNWADCQpSgky3yAcjbbnGV6G75USr3oQPJ
 NG/qngFFJrnWhKiKrNAo3EeAZmtukCG5d5XCXMzHx8CpeP7+I6f8U1OPvuMXtbc8qW/N
 +6t9uELz4qU4chHE8B/Nm0WVHQGCf6MR0PVnLVHpHcbQVpWej+DSqsNouRRjmtiV+u0W
 CpHA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:mail-copies-to
 :gmane-reply-to-list:date:message-id:mime-version
 :content-transfer-encoding;
 bh=55vr2gaA8C0AypfuO3uYBVC77sWr1hu50ZnRFeK3C+Q=;
 b=qFQtlxjBUIdYHJgrPD7KF/+RkMfeoXsAgDyOKrcVXwcpC01UYd5g2475pNlZYwyRNL
 puEHQkcBW/FPO1rPmrUuBCCY5ZcqtPJPk+83CeKxFuB5d2VRik/re/xIdNhAAJxbNujM
 oWPt+P0lYVqB7tNvcF+BPx4cQnUxsK//2yG3+DkzwEKWMRWdOL0SC8HVjtccZDSpqexk
 euC+Oy122BxW7iO0lOW8aoZIVMZd9Z4Ya3+zfMzt4kRHKvmz/cIuP0uUZ4TIoRa8kWxE
 CrdOA7G3PXyE1zb2StnO5d9snS7xaQnloN+CStGep/YI0H1jxabIe7yH3I3+I+siLMJy
 yTRg==
X-Gm-Message-State: AOUpUlGbz2N7kPnc5mMmFfFIg/pWGC0B7USlhtv/CSYslw4mmr489gDU
 XIoBL2GkBQuQ7afC4918g0W234QU
X-Google-Smtp-Source: AAOMgpdlBNgE7nDxVgaW7AqI2tpJk0KHXHEvnB35pvCWg8mhJkMuOYl31TOKNQFQnyMsJA9elWEACw==
X-Received: by 2002:a1c:9550:: with SMTP id
 x77-v6mr10598979wmd.135.1533550372922; 
 Mon, 06 Aug 2018 03:12:52 -0700 (PDT)
Received: from rpluim-ubuntu (vav06-1-78-207-202-134.fbx.proxad.net.
 [78.207.202.134])
 by smtp.gmail.com with ESMTPSA id l4-v6sm10860939wrv.23.2018.08.06.03.12.51
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Mon, 06 Aug 2018 03:12:52 -0700 (PDT)
From: Robert Pluim <rpluim@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#32334: Window resize fails in remote X11
References: <20180731102139.GA24976@volibear> <83r2jjnzfg.fsf@HIDDEN>
 <20180731163501.GF24976@volibear> <83k1pbnxrc.fsf@HIDDEN>
 <87sh3y5jh6.fsf@HIDDEN> <83sh3ymdxl.fsf@HIDDEN>
 <87o9em5i8z.fsf@HIDDEN> <87bmakq3os.fsf@HIDDEN>
 <83in4svp0d.fsf@HIDDEN>
X-Debbugs-No-Ack: yes
Mail-Copies-To: never
Gmane-Reply-To-List: yes
Date: Mon, 06 Aug 2018 12:12:51 +0200
Message-ID: <87y3djby70.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 32334
Cc: 32334 <at> debbugs.gnu.org, Demo@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

>> From: Robert Pluim <rpluim@HIDDEN>
>> Cc: Demo@HIDDEN,  32334 <at> debbugs.gnu.org
>> Date: Thu, 02 Aug 2018 15:49:07 +0200
>>=20
>> Initial debugging showed that the appropriated XDBE calls are being
>> made, so perhaps the initial setup of the frame is at fault. More
>> debugging this weekend, I hope.
>
> Thank you for working on this annoying problem.

So here=CA=BCs what I have so far:

- Either no other program on the internet uses XDBE, or if they do
  their users never use X11 forwarding over ssh
- The emacs toolkit type doesn=CA=BCt matter, they all have visual problems
  of one kind or another
- XDBE calls are definitely being made, and they're not returning
  errors
- It=CA=BCs not a timing issue: if I delay the XDBE setup until after the
  initial frame has been set up and shown, then visual problems still
  start occuring immediately after the XDBE initialization

I also tested with Cygwin's XServer, which supports the double
buffering extension. I used the same ssh session, and emacs came up
and looked and worked fine.

So at this point it=CA=BCs looking more like an issue with VcXsrv than with
emacs. I=CA=BCll see if I can engage with them after I get back from vacati=
on.

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#32334; Package emacs. Full text available.

Message received at 32334 <at> debbugs.gnu.org:


Received: (at 32334) by debbugs.gnu.org; 2 Aug 2018 14:10:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 02 10:10:02 2018
Received: from localhost ([127.0.0.1]:39078 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1flEIk-0003AM-33
	for submit <at> debbugs.gnu.org; Thu, 02 Aug 2018 10:10:02 -0400
Received: from eggs.gnu.org ([208.118.235.92]:33816)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1flEIi-00039y-6R
 for 32334 <at> debbugs.gnu.org; Thu, 02 Aug 2018 10:10:00 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1flEIY-0008V4-BJ
 for 32334 <at> debbugs.gnu.org; Thu, 02 Aug 2018 10:09:55 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:40259)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1flEIY-0008Ut-70; Thu, 02 Aug 2018 10:09:50 -0400
Received: from [176.228.60.248] (port=4996 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1flEIX-000423-LJ; Thu, 02 Aug 2018 10:09:50 -0400
Date: Thu, 02 Aug 2018 17:09:38 +0300
Message-Id: <83in4svp0d.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Robert Pluim <rpluim@HIDDEN>
In-reply-to: <87bmakq3os.fsf@HIDDEN> (message from Robert Pluim on Thu, 02
 Aug 2018 15:49:07 +0200)
Subject: Re: bug#32334: Window resize fails in remote X11
References: <20180731102139.GA24976@volibear> <83r2jjnzfg.fsf@HIDDEN>
 <20180731163501.GF24976@volibear> <83k1pbnxrc.fsf@HIDDEN>
 <87sh3y5jh6.fsf@HIDDEN> <83sh3ymdxl.fsf@HIDDEN>
 <87o9em5i8z.fsf@HIDDEN> <87bmakq3os.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 32334
Cc: 32334 <at> debbugs.gnu.org, Demo@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

> From: Robert Pluim <rpluim@HIDDEN>
> Cc: Demo@HIDDEN,  32334 <at> debbugs.gnu.org
> Date: Thu, 02 Aug 2018 15:49:07 +0200
> 
> Initial debugging showed that the appropriated XDBE calls are being
> made, so perhaps the initial setup of the frame is at fault. More
> debugging this weekend, I hope.

Thank you for working on this annoying problem.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#32334; Package emacs. Full text available.

Message received at 32334 <at> debbugs.gnu.org:


Received: (at 32334) by debbugs.gnu.org; 2 Aug 2018 13:49:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 02 09:49:18 2018
Received: from localhost ([127.0.0.1]:38385 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1flDyg-0002VO-Gp
	for submit <at> debbugs.gnu.org; Thu, 02 Aug 2018 09:49:18 -0400
Received: from mail-wr1-f49.google.com ([209.85.221.49]:42918)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1flDye-0002V9-Oo
 for 32334 <at> debbugs.gnu.org; Thu, 02 Aug 2018 09:49:17 -0400
Received: by mail-wr1-f49.google.com with SMTP id e7-v6so2193893wrs.9
 for <32334 <at> debbugs.gnu.org>; Thu, 02 Aug 2018 06:49:16 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:mail-copies-to:gmane-reply-to-list
 :date:in-reply-to:message-id:mime-version:content-transfer-encoding;
 bh=fvLB40lDSRvZfOIqoqi45qqhWi8Nv/P6a68v+/On2KM=;
 b=e4tGy6fbqULoEpht/Dgqxvs1Z66G/9DGbmidXy425o5fQBSAQoxYlqzkHA16/plfob
 Z7bPSkzg4bVWm9fjAeskFbAQpTBwQyAjEXYAcycoCwcU3qrQ1AqTOqfD9S++tEo8/J6h
 2W9OtAcRMj0ExrIJIVMymWA3xqH+ZLCWyxksrFiKktSGYi3CT9zuk6+VsofCfJI69g/p
 mrASsQxJeJHHaaK9sLiOe84xwpQMDbU/mYZ6Ro5Viv7ckWK+QuDugarYPsRutZlrMOtB
 iY4QuqQrtojMrFbvVL1+Wo/lv4dzl1fEupHPGSkzEFH4JvKfClTRwc+ntnUD6mi9+X+F
 BlKQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:mail-copies-to
 :gmane-reply-to-list:date:in-reply-to:message-id:mime-version
 :content-transfer-encoding;
 bh=fvLB40lDSRvZfOIqoqi45qqhWi8Nv/P6a68v+/On2KM=;
 b=PnJcSFL7tybNnTXwShV0Y8HFCVXjetQDbpsvQ1pcY9wR/rU8YK1RyEcDkFrEu2KpdY
 rWYZyqPPjQNU1S34fTi8U4n2PKrbh2znL06S2LHKBLDVIWnYXJxftdxl1+bYwzGkRuMl
 g0hnHOnQDwCFbrHXbzZDFMdXtOcc9AphH6N6RKjskPKoI9LBLLP5nKrbG5tyM6A1iJAw
 akkgjlBoBhzrTJVqvPGEF1EbQMxfZ7Dw6zsUn6vuFM0JnSs9gopyKDBP8NzwBiLBb2YD
 y3YiTcyPBxaeZURqUDDJErxuO5nEQd1ew8xlPlw/zwzzoxc/5shxv4Cph8U+j+WJulvJ
 FvXw==
X-Gm-Message-State: AOUpUlFMbCOA3GfXsHIkrn7MZfFWtNbnubHFnLVG6CXYHDC6vL8mYQFp
 OmtZkxZtT6rR39IBbiBOc7lpR41y
X-Google-Smtp-Source: AAOMgpfZbNh85E21/eKmoZDi35mnZy/PMNCamCukVgF84v0IJcZzCSwcXCu4eKeKeDN5gRd2leVigg==
X-Received: by 2002:adf:ec04:: with SMTP id
 x4-v6mr1944540wrn.245.1533217750656; 
 Thu, 02 Aug 2018 06:49:10 -0700 (PDT)
Received: from rpluim-ubuntu ([149.5.228.1])
 by smtp.gmail.com with ESMTPSA id z11-v6sm2626751wrm.94.2018.08.02.06.49.08
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Thu, 02 Aug 2018 06:49:09 -0700 (PDT)
From: Robert Pluim <rpluim@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#32334: Window resize fails in remote X11
References: <20180731102139.GA24976@volibear> <83r2jjnzfg.fsf@HIDDEN>
 <20180731163501.GF24976@volibear> <83k1pbnxrc.fsf@HIDDEN>
 <87sh3y5jh6.fsf@HIDDEN> <83sh3ymdxl.fsf@HIDDEN>
 <87o9em5i8z.fsf@HIDDEN>
X-Debbugs-No-Ack: yes
Mail-Copies-To: never
Gmane-Reply-To-List: yes
Date: Thu, 02 Aug 2018 15:49:07 +0200
In-Reply-To: <87o9em5i8z.fsf@HIDDEN> (Robert Pluim's message of "Wed, 01
 Aug 2018 15:27:56 +0200")
Message-ID: <87bmakq3os.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 32334
Cc: 32334 <at> debbugs.gnu.org, Demo@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Robert Pluim <rpluim@HIDDEN> writes:

> Eli Zaretskii <eliz@HIDDEN> writes:

>> I'm not even sure that's a bug in the X server.  It could be a bug in
>> our code, for all I know.  If we arrive at the conclusion that it's a
>> bug in the server, that would be a very good progress, IMO.
>
> I=CA=BCm going to have to agree with you: the changes to support
> double-buffering in emacs are far more extensive than I initially
> thought, so bugs are definitely possible.

I tested this quickly last night with VcXsrv, and it=CA=BCs utterly broken
with emacs-26 built for GTK when using double buffering: the entire
text area of the initial frame never gets updated. With lucid it=CA=BCs
slightly better in that half the frame gets refreshed. That does
suggest that the bug is in emacs (especially since VcXsrv is
essentially xorg recompiled for Windows).

Initial debugging showed that the appropriated XDBE calls are being
made, so perhaps the initial setup of the frame is at fault. More
debugging this weekend, I hope.

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#32334; Package emacs. Full text available.

Message received at 32334 <at> debbugs.gnu.org:


Received: (at 32334) by debbugs.gnu.org; 1 Aug 2018 13:28:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 01 09:28:06 2018
Received: from localhost ([127.0.0.1]:37081 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fkrAc-0004yc-GL
	for submit <at> debbugs.gnu.org; Wed, 01 Aug 2018 09:28:06 -0400
Received: from mail-wr1-f41.google.com ([209.85.221.41]:37856)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1fkrAa-0004yH-Ju
 for 32334 <at> debbugs.gnu.org; Wed, 01 Aug 2018 09:28:04 -0400
Received: by mail-wr1-f41.google.com with SMTP id u12-v6so1799389wrr.4
 for <32334 <at> debbugs.gnu.org>; Wed, 01 Aug 2018 06:28:04 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:mail-copies-to:gmane-reply-to-list
 :date:in-reply-to:message-id:mime-version:content-transfer-encoding;
 bh=R7YVxV3TXrXYPGSON635NSwyowKpsa0hu7TaecE4v9I=;
 b=l+rr/xNgvFWdlQZI26KP3xYDiIXhbeZ10+gtNXND7ilRy/JQ9EukY5ssI6rt/9EqtT
 8nkQJLP0lZhZVAeNs1jpxedvMeegv3MvTQocRksRue7YXQm3szFqmKZrkOMl/v01xtJu
 tfcEraJhFIP+4LyttRJRYKK/GxW6QqwyybJg8Z/20PL7c+IrW6R+23ACf4Hc6ZHQoGxk
 WrqlRu01+Qm6bFt8oU8CH1fzgnczaIYbsAJ071hyGfr1W5Ha6IEOv70z+ocMMb3vKJkZ
 T3+N+cEYiLhW8YreNFzEKW05GH4rAn/Xzqelv+rt8CLlcjhXUh1GRwUZNjFRJidaMlQ4
 HMVw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:mail-copies-to
 :gmane-reply-to-list:date:in-reply-to:message-id:mime-version
 :content-transfer-encoding;
 bh=R7YVxV3TXrXYPGSON635NSwyowKpsa0hu7TaecE4v9I=;
 b=Mq4wLQKMVh4DarcTSOG5VUYQkzsGvHKlsm/ILzmCSyGEH4Pbjrd3tORDH5H7o0d9Ou
 HIL8I3/4cZSIRzn+zjmJfzU6APdJ/+YVvoXzJFPg+Ee+dwmpNsxjTjcXMdt1KGD/dtPb
 d4gTDe9H6pzmQXGwF8xGYxFibOYfmzDuCOTWf67nneU+/ID6fr1dJuWVY8sKWlgInlTa
 KHaNktC+waibejbCJHu8QAvKwS3VXsFC+nOSTuInD7nBmIDHoR7a3OspcBNSzT43VsoR
 y+W4etXsb31wTDDWykbv+H0ud6RQiX9xuuZu9y5lB4sCUAHPHEgAb09IMPC0JKX8dfPF
 quyw==
X-Gm-Message-State: AOUpUlF8FO0xNgSnoJ7+mwbz9R804zU26Hhim4AmCZxETttJNdUHMLhS
 C2+KzEETI7Ypj2JDr0JNdj+jXstQ
X-Google-Smtp-Source: AAOMgpc5/HhCbif11pkxyvtuwv2PKse95joJwdq1t+I4f+5mHB3E79xCAFDLSCKy10mCaZzMVtXToA==
X-Received: by 2002:adf:b726:: with SMTP id
 l38-v6mr24699674wre.115.1533130078461; 
 Wed, 01 Aug 2018 06:27:58 -0700 (PDT)
Received: from rpluim-ubuntu (vav06-1-78-207-202-134.fbx.proxad.net.
 [78.207.202.134])
 by smtp.gmail.com with ESMTPSA id w8-v6sm28692210wrp.72.2018.08.01.06.27.57
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Wed, 01 Aug 2018 06:27:57 -0700 (PDT)
From: Robert Pluim <rpluim@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#32334: Window resize fails in remote X11
References: <20180731102139.GA24976@volibear> <83r2jjnzfg.fsf@HIDDEN>
 <20180731163501.GF24976@volibear> <83k1pbnxrc.fsf@HIDDEN>
 <87sh3y5jh6.fsf@HIDDEN> <83sh3ymdxl.fsf@HIDDEN>
X-Debbugs-No-Ack: yes
Mail-Copies-To: never
Gmane-Reply-To-List: yes
Date: Wed, 01 Aug 2018 15:27:56 +0200
In-Reply-To: <83sh3ymdxl.fsf@HIDDEN> (Eli Zaretskii's message of "Wed, 01 Aug
 2018 16:09:10 +0300")
Message-ID: <87o9em5i8z.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 32334
Cc: 32334 <at> debbugs.gnu.org, Demo@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

>> From: Robert Pluim <rpluim@HIDDEN>
>> Cc: Russell Adams <Demo@HIDDEN>,  32334 <at> debbugs.gnu.org
>> Date: Wed, 01 Aug 2018 15:01:25 +0200
>>=20
>> > I merged this with the other bugs about this.  Closing is too early,
>> > we still hope this could be fixed.
>>=20
>> How can we fix it other than by disabling double buffering by default
>> and hoping people read NEWS and turn it on again? I=CA=BCm not aware of a
>> way to programatically detect "your X server's implementation of XDBE
>> is buggy"
>
> I'm not even sure that's a bug in the X server.  It could be a bug in
> our code, for all I know.  If we arrive at the conclusion that it's a
> bug in the server, that would be a very good progress, IMO.

I=CA=BCm going to have to agree with you: the changes to support
double-buffering in emacs are far more extensive than I initially
thought, so bugs are definitely possible.

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#32334; Package emacs. Full text available.

Message received at 32334 <at> debbugs.gnu.org:


Received: (at 32334) by debbugs.gnu.org; 1 Aug 2018 13:09:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 01 09:09:10 2018
Received: from localhost ([127.0.0.1]:37074 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fkqsH-0004WV-ST
	for submit <at> debbugs.gnu.org; Wed, 01 Aug 2018 09:09:10 -0400
Received: from eggs.gnu.org ([208.118.235.92]:45590)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1fkqsG-0004WE-KQ
 for 32334 <at> debbugs.gnu.org; Wed, 01 Aug 2018 09:09:08 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1fkqs8-0005PG-By
 for 32334 <at> debbugs.gnu.org; Wed, 01 Aug 2018 09:09:03 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.0 required=5.0 tests=BAYES_20 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:48284)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1fkqs8-0005PB-7e; Wed, 01 Aug 2018 09:09:00 -0400
Received: from [176.228.60.248] (port=3419 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1fkqs7-0003Gr-LH; Wed, 01 Aug 2018 09:09:00 -0400
Date: Wed, 01 Aug 2018 16:09:10 +0300
Message-Id: <83sh3ymdxl.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Robert Pluim <rpluim@HIDDEN>
In-reply-to: <87sh3y5jh6.fsf@HIDDEN> (message from Robert Pluim on Wed, 01
 Aug 2018 15:01:25 +0200)
Subject: Re: bug#32334: Window resize fails in remote X11
References: <20180731102139.GA24976@volibear> <83r2jjnzfg.fsf@HIDDEN>
 <20180731163501.GF24976@volibear> <83k1pbnxrc.fsf@HIDDEN>
 <87sh3y5jh6.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 32334
Cc: 32334 <at> debbugs.gnu.org, Demo@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

> From: Robert Pluim <rpluim@HIDDEN>
> Cc: Russell Adams <Demo@HIDDEN>,  32334 <at> debbugs.gnu.org
> Date: Wed, 01 Aug 2018 15:01:25 +0200
> 
> > I merged this with the other bugs about this.  Closing is too early,
> > we still hope this could be fixed.
> 
> How can we fix it other than by disabling double buffering by default
> and hoping people read NEWS and turn it on again? Iʼm not aware of a
> way to programatically detect "your X server's implementation of XDBE
> is buggy"

I'm not even sure that's a bug in the X server.  It could be a bug in
our code, for all I know.  If we arrive at the conclusion that it's a
bug in the server, that would be a very good progress, IMO.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#32334; Package emacs. Full text available.

Message received at 32334 <at> debbugs.gnu.org:


Received: (at 32334) by debbugs.gnu.org; 1 Aug 2018 13:01:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 01 09:01:35 2018
Received: from localhost ([127.0.0.1]:37070 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fkqkx-0004LN-24
	for submit <at> debbugs.gnu.org; Wed, 01 Aug 2018 09:01:35 -0400
Received: from mail-wm0-f52.google.com ([74.125.82.52]:39179)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1fkqkv-0004LA-PM
 for 32334 <at> debbugs.gnu.org; Wed, 01 Aug 2018 09:01:34 -0400
Received: by mail-wm0-f52.google.com with SMTP id q8-v6so1888809wmq.4
 for <32334 <at> debbugs.gnu.org>; Wed, 01 Aug 2018 06:01:33 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:mail-copies-to:gmane-reply-to-list
 :date:in-reply-to:message-id:mime-version:content-transfer-encoding;
 bh=//qwQyd77zAs6m0FaEyO42TKCWd6KJOVURhst7wJqrI=;
 b=IEJg9+2/5oRX9Kf3N7BLSY7JWGxGo5jw+QCpGDnuOTmaVeDenzp2zJD4i2r4Rl3iP+
 sr3X05yQ6JBe7iR7vUFxoQK0TTTI+WcY1JO0rVMlfJ3u9Q/XWt9N/keYz4oHIzfIelpn
 aWjCVpw4zPUnXnODNAc8vra5m+pB/+J0a+otR+aPSK0QY+l5wX6rxFXKqfkClI611gdW
 jbK56MjNZutAgOY0UI+ZLnFVqM+v8VFCI7GoCst2kqK++e1nEYDJ4Rguy+d8XU+yaKoP
 UKa8Y36Q0GC6QI8kzc1t0btHVRCD9NEoxS6Kd1JanhyGzDUzM+b/Nvd0wk0HS1x5gfJF
 Ea6A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:mail-copies-to
 :gmane-reply-to-list:date:in-reply-to:message-id:mime-version
 :content-transfer-encoding;
 bh=//qwQyd77zAs6m0FaEyO42TKCWd6KJOVURhst7wJqrI=;
 b=h1nL6pMQkNUVEd21rPQhRJ7/6sDbnmPyP5IlIxx8sfYnEQjCvfvvZ44Z2bM3EjSmxi
 QbrdOUJc81AAk4y3AczOwON5tvFPLUG5M7LA7aOPQCDUyQ0YFaDKawulCz2Ytcoy9O8q
 YKrR7oFkyLAh1qvO0KGmVHBqYIlKxtirs308nqsoep9EGrhpwrMSprg/SXb77RPKyxDX
 dusNNH3RweBAI0jepIAI6W8rA+zGbPzNQbw6E6St1bVmNCY3A75jbX+Nrzva4rZKHEFE
 jML/3pRUtNHHe/CJEc/ydBzvAwxV1ePgIyCFd2U30kMV7Sv5QHcVcKcz/cJdcOM7mGcq
 HtTA==
X-Gm-Message-State: AOUpUlGTc9Sof3FDAXgGB+PUBinzmTAcsr6xm9Y9rBHc8ZCwR2mnEOq8
 KNWi9s8huLILK6QUMpTut71XJj9a
X-Google-Smtp-Source: AAOMgpc9BlQRVRVMlxwDYU3r56Co5SbGCE+yJ4ECSTyJBNBAZB+iOMxEDerOdtHlirXs/6JLO43QCQ==
X-Received: by 2002:a1c:b984:: with SMTP id
 j126-v6mr2596050wmf.25.1533128487775; 
 Wed, 01 Aug 2018 06:01:27 -0700 (PDT)
Received: from rpluim-ubuntu (vav06-1-78-207-202-134.fbx.proxad.net.
 [78.207.202.134])
 by smtp.gmail.com with ESMTPSA id m207-v6sm6424122wma.31.2018.08.01.06.01.26
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Wed, 01 Aug 2018 06:01:26 -0700 (PDT)
From: Robert Pluim <rpluim@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#32334: Window resize fails in remote X11
References: <20180731102139.GA24976@volibear> <83r2jjnzfg.fsf@HIDDEN>
 <20180731163501.GF24976@volibear> <83k1pbnxrc.fsf@HIDDEN>
X-Debbugs-No-Ack: yes
Mail-Copies-To: never
Gmane-Reply-To-List: yes
Date: Wed, 01 Aug 2018 15:01:25 +0200
In-Reply-To: <83k1pbnxrc.fsf@HIDDEN> (Eli Zaretskii's message of "Tue, 31 Jul
 2018 20:03:19 +0300")
Message-ID: <87sh3y5jh6.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 32334
Cc: 32334 <at> debbugs.gnu.org, Russell Adams <Demo@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

> merge 32334 25474
> thanks
>
>> Date: Tue, 31 Jul 2018 18:35:01 +0200
>> From: Russell Adams <Demo@HIDDEN>
>> Cc: 32334 <at> debbugs.gnu.org
>>=20
>> On Tue, Jul 31, 2018 at 07:27:15PM +0300, Eli Zaretskii wrote:
>> > Does it help to disable double-buffering?  (NEWS tells how yo do
>> > that.)
>>=20
>> That has fixed it. I could only describe the problem, not deduce it was =
related
>> to double buffering.
>
> It's not your fault.  I only know this because we've seen several
> similar bugs before.
>
>> Please close, thanks!
>
> I merged this with the other bugs about this.  Closing is too early,
> we still hope this could be fixed.

How can we fix it other than by disabling double buffering by default
and hoping people read NEWS and turn it on again? I=CA=BCm not aware of a
way to programatically detect "your X server's implementation of XDBE
is buggy"

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#32334; Package emacs. Full text available.
Forcibly Merged 25474 31169 32306 32334. Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 32334 <at> debbugs.gnu.org:


Received: (at 32334) by debbugs.gnu.org; 31 Jul 2018 17:03:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 31 13:03:34 2018
Received: from localhost ([127.0.0.1]:36635 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fkY3a-0006zW-M0
	for submit <at> debbugs.gnu.org; Tue, 31 Jul 2018 13:03:34 -0400
Received: from eggs.gnu.org ([208.118.235.92]:39477)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1fkY3Z-0006zJ-1e
 for 32334 <at> debbugs.gnu.org; Tue, 31 Jul 2018 13:03:33 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1fkY3O-0007b8-8X
 for 32334 <at> debbugs.gnu.org; Tue, 31 Jul 2018 13:03:28 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.0 required=5.0 tests=BAYES_40 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:54310)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1fkY3C-0007QJ-Nw; Tue, 31 Jul 2018 13:03:10 -0400
Received: from [176.228.60.248] (port=4552 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1fkY3C-0000BB-7t; Tue, 31 Jul 2018 13:03:10 -0400
Date: Tue, 31 Jul 2018 20:03:19 +0300
Message-Id: <83k1pbnxrc.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Russell Adams <Demo@HIDDEN>
In-reply-to: <20180731163501.GF24976@volibear> (message from Russell Adams on
 Tue, 31 Jul 2018 18:35:01 +0200)
Subject: Re: bug#32334: Window resize fails in remote X11
References: <20180731102139.GA24976@volibear>
 <83r2jjnzfg.fsf@HIDDEN> <20180731163501.GF24976@volibear>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 32334
Cc: 32334 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

merge 32334 25474
thanks

> Date: Tue, 31 Jul 2018 18:35:01 +0200
> From: Russell Adams <Demo@HIDDEN>
> Cc: 32334 <at> debbugs.gnu.org
> 
> On Tue, Jul 31, 2018 at 07:27:15PM +0300, Eli Zaretskii wrote:
> > Does it help to disable double-buffering?  (NEWS tells how yo do
> > that.)
> 
> That has fixed it. I could only describe the problem, not deduce it was related
> to double buffering.

It's not your fault.  I only know this because we've seen several
similar bugs before.

> Please close, thanks!

I merged this with the other bugs about this.  Closing is too early,
we still hope this could be fixed.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#32334; Package emacs. Full text available.

Message received at 32334 <at> debbugs.gnu.org:


Received: (at 32334) by debbugs.gnu.org; 31 Jul 2018 16:35:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 31 12:35:08 2018
Received: from localhost ([127.0.0.1]:36617 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fkXc4-0004Ff-F3
	for submit <at> debbugs.gnu.org; Tue, 31 Jul 2018 12:35:08 -0400
Received: from se02-out.mail.pcextreme.nl ([185.66.251.201]:54207)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <demo@HIDDEN>) id 1fkXc0-0004FQ-Dt
 for 32334 <at> debbugs.gnu.org; Tue, 31 Jul 2018 12:35:06 -0400
Date: Tue, 31 Jul 2018 18:35:01 +0200
From: Russell Adams <Demo@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#32334: Window resize fails in remote X11
Message-ID: <20180731163501.GF24976@volibear>
References: <20180731102139.GA24976@volibear>
 <83r2jjnzfg.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <83r2jjnzfg.fsf@HIDDEN>
User-Agent: Mutt/1.10.1 (2018-07-13)
X-Originating-IP: 2a00:f10:400:2:446:66ff:fe00:2ce
X-SpamExperts-Domain: out.pcextreme.nl
X-SpamExperts-Username: 2a00:f10:400:2:446:66ff:fe00:2ce
Authentication-Results: mail.pcextreme.nl; auth=pass
 smtp.auth=2a00:f10:400:2:446:66ff:fe00:2ce@HIDDEN
X-SpamExperts-Outgoing-Class: unsure
X-SpamExperts-Outgoing-Evidence: Combined (0.41)
X-Recommended-Action: accept
X-Filter-ID: EX5BVjFpneJeBchSMxfU5tB/gVEbTVF1/vYmwhLdk0N602E9L7XzfQH6nu9C/Fh9KJzpNe6xgvOx
 q3u0UDjvO1fKwVmKbCq6Xg8O7uGNeykl/yeLnoCq02Ggr6LmsEbIbn5vJaX5c/lvrPKglU7rUNcV
 PSoHm0W/3adFfiYl2nuPtzMPRF9a6QBqsm9s1kNfyqLz6V0GKaxWYI69JNpwXw92xcqbS4CrvQiw
 o9AljlrCXzC6AEZscuKNeMFjZFZW0uvKAJyIRmSbDHGM+7aAcsW0SSuOvMaLY7I9rovUqXxZJfc3
 6xHpmK6NptM9iENFe4Q5flf5ojTu1C/4k2klmSftsHlunowU9nFoND472W+mf9AN0JJgj06TE07a
 Dml7SURk08m0cx9qhrhUPrn3pY5jmyGRlEbdPQDzdVubwH6kv24WFAC9Ogj4KKs4sep0W/0UUrUm
 fdrZoZcoI3V7KR95KHYRSonFBlcjv/zNz3SE7bN9vZYIx+BC88Ph1mugCLt8x2Ybg6bxK9gITRxw
 FgeqTaR8PBCphpi7XO6xerFzHDeqqFz43py4SDhdaHkW7eaXdQpn3Yxg5LPK67gFQMSWJxlOlhOe
 rftXm+XCJtM6/eED/7zN/k7+nh6Awh/cbZ/NEUIUiinfV/GAR8hINdoB+TxVySi0jb+OdvBobCKw
 2oPgfFmTZ+XgCp+G+0x0aZHdmbaSLpofO3yXZ29VbqKFDv/O6rWAO2vfKGz9tnwOIhKpoUiz7IbI
 lrf391orTbtCENE8/lvHrbMzhnZrF6sD4hu+0ZQdaKpc7DeyiORPA4F9Q9WJlaDetk2qMU+UMXst
 XLeKPzfEXzMtuaLhYaOFI/5qkhcDfTfhcJKr6OlJvTEj3+pBOTlfVzHUe3iZlOtTMvhcZLoW2fS4
 2tZ8bdUnMYK0vnyeXpwhz0hTn8xcsMtIxtWbKiv1dqoEW4NNDFYVLOxa3a4T9gXJTTSMiLSZERAT
 G8nozANF1ZMY1YNwOpkvJIi//k+9z71n8VuqrawoXNwTpfZEHvlJH1lHhwoLvRwP+vTJwyEjMDUY
 /y7lsWIJ6j80BSv2mR43RFZHSdq/AI5b0SeFCuougLxGoeGDRzHkp58a5Ye5P+Qme6P2OKHH5lr9
 xXvSM4nM3avg
X-Report-Abuse-To: spam@HIDDEN
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 32334
Cc: 32334 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Tue, Jul 31, 2018 at 07:27:15PM +0300, Eli Zaretskii wrote:
> Does it help to disable double-buffering?  (NEWS tells how yo do
> that.)

That has fixed it. I could only describe the problem, not deduce it was related
to double buffering. Please close, thanks!


 --------------------------------------------------------------------------
   __
  (..)   Russell Adams / Demosthenes                   Demo@HIDDEN
  /\/\
 //  \\                                            Linux Powered since 1996
 ( __ )  PGP Key Id:     0xADA00D29
  ^  ^   Fingerprint:    E928 A47A E032 D745 753B  B8AD 36B1 68E1 ADA0 0D29

 --------------------------------------------------------------------------




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#32334; Package emacs. Full text available.

Message received at 32334 <at> debbugs.gnu.org:


Received: (at 32334) by debbugs.gnu.org; 31 Jul 2018 16:27:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 31 12:27:17 2018
Received: from localhost ([127.0.0.1]:36612 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fkXUT-000426-JP
	for submit <at> debbugs.gnu.org; Tue, 31 Jul 2018 12:27:17 -0400
Received: from eggs.gnu.org ([208.118.235.92]:58755)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1fkXUS-00041s-8G
 for 32334 <at> debbugs.gnu.org; Tue, 31 Jul 2018 12:27:16 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1fkXUI-0001VE-Cn
 for 32334 <at> debbugs.gnu.org; Tue, 31 Jul 2018 12:27:10 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:53683)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1fkXUI-0001VA-8i; Tue, 31 Jul 2018 12:27:06 -0400
Received: from [176.228.60.248] (port=2233 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1fkXUH-0001MT-M5; Tue, 31 Jul 2018 12:27:06 -0400
Date: Tue, 31 Jul 2018 19:27:15 +0300
Message-Id: <83r2jjnzfg.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Russell Adams <Demo@HIDDEN>
In-reply-to: <20180731102139.GA24976@volibear> (message from Russell Adams on
 Tue, 31 Jul 2018 12:21:39 +0200)
Subject: Re: bug#32334: Window resize fails in remote X11
References: <20180731102139.GA24976@volibear>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 32334
Cc: 32334 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

> Date: Tue, 31 Jul 2018 12:21:39 +0200
> From: Russell Adams <Demo@HIDDEN>
> 
> Using Emacs 26.1 on Gentoo Linux locally works fine full screen. If I
> use X11 over SSH with Windows (VcXsrv) Emacs works until I resize the
> window. If I increase the size of the window, the right and bottom edges
> eventually disappear. I have an imgur gallery of screenshots:
> 
> https://imgur.com/a/AZiti9h
> 
> The text at the right and bottom is completely black, and typing or
> other activities aren't visible at all. The scrollbar does remain.

Does it help to disable double-buffering?  (NEWS tells how yo do
that.)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#32334; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 31 Jul 2018 15:17:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 31 11:17:29 2018
Received: from localhost ([127.0.0.1]:36538 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fkWOt-0002Gk-IV
	for submit <at> debbugs.gnu.org; Tue, 31 Jul 2018 11:17:29 -0400
Received: from eggs.gnu.org ([208.118.235.92]:36405)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <demo@HIDDEN>) id 1fkRmx-0007ze-Ds
 for submit <at> debbugs.gnu.org; Tue, 31 Jul 2018 06:22:01 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <demo@HIDDEN>) id 1fkRmp-00035q-JD
 for submit <at> debbugs.gnu.org; Tue, 31 Jul 2018 06:21:54 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:54544)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <demo@HIDDEN>)
 id 1fkRmp-00035i-DN
 for submit <at> debbugs.gnu.org; Tue, 31 Jul 2018 06:21:51 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:55602)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <demo@HIDDEN>) id 1fkRmm-0007Oa-IZ
 for bug-gnu-emacs@HIDDEN; Tue, 31 Jul 2018 06:21:51 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <demo@HIDDEN>) id 1fkRmj-00033p-S4
 for bug-gnu-emacs@HIDDEN; Tue, 31 Jul 2018 06:21:48 -0400
Received: from se02-out.mail.pcextreme.nl
 ([2a00:f10:121:a00:4f8:84ff:fe00:a846]:48081)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <demo@HIDDEN>)
 id 1fkRmj-000325-G5
 for bug-gnu-emacs@HIDDEN; Tue, 31 Jul 2018 06:21:45 -0400
Date: Tue, 31 Jul 2018 12:21:39 +0200
From: Russell Adams <Demo@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: Window resize fails in remote X11
Message-ID: <20180731102139.GA24976@volibear>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
User-Agent: Mutt/1.10.1 (2018-07-13)
X-Originating-IP: 2a00:f10:400:2:425:b2ff:fe00:1c1
X-SpamExperts-Domain: out.pcextreme.nl
X-SpamExperts-Username: 2a00:f10:400:2:425:b2ff:fe00:1c1
Authentication-Results: mail.pcextreme.nl; auth=pass
 smtp.auth=2a00:f10:400:2:425:b2ff:fe00:1c1@HIDDEN
X-SpamExperts-Outgoing-Class: ham
X-SpamExperts-Outgoing-Evidence: Combined (0.15)
X-Recommended-Action: accept
X-Filter-ID: EX5BVjFpneJeBchSMxfU5oX96R6DLlrooc2Er9qyJSZ602E9L7XzfQH6nu9C/Fh9KJzpNe6xgvOx
 q3u0UDjvO7JhSFRXyVNSjGamAOK1NO6H6qoa1DM3KFQyvwlaGEzid8TTmZ0TYEUxf6yWW4GXiQCA
 jSm/Kz8LOWV+a4Jwo7t4Jg2LtUh6VaLwPYdf2smTS+v9XzKArSEqa7QIEWjmuDj1Z+xkrLxnz4ep
 H46wxrINj3IsPxUoOvqBoVWc32LiNTMsyGd6siTfAwiecsng3DntvBtZWb7SxGaO73vXeYqPy4pL
 zcBjxmjH72ILbiTFKPGp/DIIBivDZ+qRALOR3P+A/fbMRQ+wqozyw6uRrWw2zLs0WjEwh4dZMaMa
 kGaoF8VpymDAm51vSeaku+X2qYfWdHzoB2yW92yX6zvRr8H/gg6uWdxCWQXU/BZo6F0IZ1m4W7bQ
 /VL5O6Qtit474z83Q4Co1qdVb3ib/DodS6CNIB0kforpHoK+IwXp54FjXZdz6BA0fiUca79E4tqU
 GeuAAVf5s3YldHVxiElBLLdrplS4oqEBe2ZetWAZOKEr/E9sEPM26AGLrFYif2nOukAHVyosAdBv
 HWMOTWkuAWiiqsLVMBRDWR+hYeTe/tshmT364n6qxAgUNyjxnCt22s1C5RhVrRN7ejAk/TVHWpfw
 SR5PAA4c4p2b/W6XaEt1TG3mZeE4FafYb6lC1bFpuPo+3eDLfKPVUs3eWEIH3iFOLNAkH5Bvmny0
 OJRWR/RYiwQzKw+6v3CaIMG6s7LqJNTVEq3OFFWvHTl2qSRSdLvH+CAbt5AVRmPAvar7VuY9b/T/
 +glmIl0Om+eqDP7ovqxNuckn/seySLxwnA7Ob1vkgFI+kw75xvrdnA/fFySUDamc6GXUphwcaKYc
 KQ7uoLKt4LfywBVzAOij+ikBxTNyPmy5aZrj8CJOJ6u7Jp5509bje2UGyNBhYFeXSUE9gJUEH0ed
 KzZQ2HYV44VBjWDxHgJaUs7RPMax9OQ+FIIMaaBZ7XV1CHHn3sMPKS1qYnz+bF0wv0RCVqIJTnLE
 nOOaeXNgx2YFXR4udSsjPUDW+2yLPSXDTe3mgQj2Qmeep2+U8T3Kfj7tHuHDvXqVSlU=
X-Report-Abuse-To: spam@HIDDEN
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Tue, 31 Jul 2018 11:17:26 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

From: Russell Adams <Russell.Adams@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 26.1; Window resize failure in X11, text and modeline not visible
--text follows this line--

Using Emacs 26.1 on Gentoo Linux locally works fine full screen. If I
use X11 over SSH with Windows (VcXsrv) Emacs works until I resize the
window. If I increase the size of the window, the right and bottom edges
eventually disappear. I have an imgur gallery of screenshots:

https://imgur.com/a/AZiti9h

The text at the right and bottom is completely black, and typing or
other activities aren't visible at all. The scrollbar does remain.

----------------------------------------------------------------------

In GNU Emacs 26.1 (build 1, x86_64-pc-linux-gnu, X toolkit)
 of 2018-07-30 built on volibear
Windowing system distributor 'HC-Consult', version 11.0.12000000
Recent messages:
next-line: End of buffer [3 times]
Linum mode enabled in current buffer
next-line: End of buffer
scroll-down-command: Beginning of buffer [3 times]
mwheel-scroll: Beginning of buffer [3 times]
previous-line: Beginning of buffer [2 times]
mwheel-scroll: Beginning of buffer [3 times]
When done with this frame, type C-x 5 0
scroll-up-command: End of buffer
Quit
previous-line: Beginning of buffer [3 times]
Configured using:
 'configure --prefix=/usr --build=x86_64-pc-linux-gnu
 --host=x86_64-pc-linux-gnu --mandir=/usr/share/man
 --infodir=/usr/share/info --datadir=/usr/share --sysconfdir=/etc
 --localstatedir=/var/lib --disable-silent-rules
 --docdir=/usr/share/doc/emacs-26.1-r1
 --htmldir=/usr/share/doc/emacs-26.1-r1/html --libdir=/usr/lib64
 --program-suffix=-emacs-26 --infodir=/usr/share/info/emacs-26
 --localstatedir=/var
 --enable-locallisppath=/etc/emacs:/usr/share/emacs/site-lisp
 --without-compress-install --without-hesiod --without-pop
 --with-file-notification=inotify --enable-acl --without-dbus
 --without-modules --without-gameuser --without-gpm --without-kerberos
 --without-kerberos5 --without-lcms2 --without-xml2 --without-mailutils
 --without-selinux --with-gnutls --without-libsystemd --with-threads
 --without-wide-int --with-zlib --with-sound=alsa --with-x --without-ns
 --without-gconf --without-gsettings --without-toolkit-scroll-bars
 --with-gif --with-jpeg --with-png --without-rsvg --with-tiff --with-xpm
 --without-imagemagick --with-xft --without-cairo --without-libotf
 --without-m17n-flt --with-x-toolkit=lucid --with-xaw3d
 'CFLAGS=-march=corei7 -O2 -pipe' CPPFLAGS= 'LDFLAGS=-Wl,-O1
 -Wl,--as-needed''

Configured features:
XAW3D XPM JPEG TIFF GIF PNG SOUND NOTIFY ACL GNUTLS FREETYPE XFT ZLIB
LUCID X11 THREADS

Important settings:
  value of $LANG: en_US.utf8
  locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
  global-linum-mode: t
  linum-mode: t
  shell-dirtrack-mode: t
  company-mode: t
  paredit-mode: t
  yas-global-mode: t
  yas-minor-mode: t
  rainbow-delimiters-mode: t
  show-paren-mode: t
  savehist-mode: t
  global-hl-line-mode: t
  override-global-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t

Load-path shadows:
/home/adamsrl/.quicklisp/dists/quicklisp/software/slime-v2.20/slime-tests hides /home/adamsrl/.emacs.d/elpa/slime-20180720.121/slime-tests
/home/adamsrl/.quicklisp/dists/quicklisp/software/slime-v2.20/slime hides /home/adamsrl/.emacs.d/elpa/slime-20180720.121/slime
/home/adamsrl/.quicklisp/dists/quicklisp/software/slime-v2.20/slime-autoloads hides /home/adamsrl/.emacs.d/elpa/slime-20180720.121/slime-autoloads
/home/adamsrl/.emacs.d/elpa/org-20180730/ob-sass hides /usr/share/emacs/26.1/lisp/org/ob-sass
/home/adamsrl/.emacs.d/elpa/org-20180730/org-mouse hides /usr/share/emacs/26.1/lisp/org/org-mouse
/home/adamsrl/.emacs.d/elpa/org-20180730/org-id hides /usr/share/emacs/26.1/lisp/org/org-id
/home/adamsrl/.emacs.d/elpa/org-20180730/ob-js hides /usr/share/emacs/26.1/lisp/org/ob-js
/home/adamsrl/.emacs.d/elpa/org-20180730/org-duration hides /usr/share/emacs/26.1/lisp/org/org-duration
/home/adamsrl/.emacs.d/elpa/org-20180730/ob-eval hides /usr/share/emacs/26.1/lisp/org/ob-eval
/home/adamsrl/.emacs.d/elpa/org-20180730/org-inlinetask hides /usr/share/emacs/26.1/lisp/org/org-inlinetask
/home/adamsrl/.emacs.d/elpa/org-20180730/org-archive hides /usr/share/emacs/26.1/lisp/org/org-archive
/home/adamsrl/.emacs.d/elpa/org-20180730/org-gnus hides /usr/share/emacs/26.1/lisp/org/org-gnus
/home/adamsrl/.emacs.d/elpa/org-20180730/ox-publish hides /usr/share/emacs/26.1/lisp/org/ox-publish
/home/adamsrl/.emacs.d/elpa/org-20180730/ob-plantuml hides /usr/share/emacs/26.1/lisp/org/ob-plantuml
/home/adamsrl/.emacs.d/elpa/org-20180730/ob-ledger hides /usr/share/emacs/26.1/lisp/org/ob-ledger
/home/adamsrl/.emacs.d/elpa/org-20180730/org-docview hides /usr/share/emacs/26.1/lisp/org/org-docview
/home/adamsrl/.emacs.d/elpa/org-20180730/ob-gnuplot hides /usr/share/emacs/26.1/lisp/org/ob-gnuplot
/home/adamsrl/.emacs.d/elpa/org-20180730/ob-comint hides /usr/share/emacs/26.1/lisp/org/ob-comint
/home/adamsrl/.emacs.d/elpa/org-20180730/ob-maxima hides /usr/share/emacs/26.1/lisp/org/ob-maxima
/home/adamsrl/.emacs.d/elpa/org-20180730/ob-sql hides /usr/share/emacs/26.1/lisp/org/ob-sql
/home/adamsrl/.emacs.d/elpa/org-20180730/org-habit hides /usr/share/emacs/26.1/lisp/org/org-habit
/home/adamsrl/.emacs.d/elpa/org-20180730/org-protocol hides /usr/share/emacs/26.1/lisp/org/org-protocol
/home/adamsrl/.emacs.d/elpa/org-20180730/ob-core hides /usr/share/emacs/26.1/lisp/org/ob-core
/home/adamsrl/.emacs.d/elpa/org-20180730/ox-texinfo hides /usr/share/emacs/26.1/lisp/org/ox-texinfo
/home/adamsrl/.emacs.d/elpa/org-20180730/org-irc hides /usr/share/emacs/26.1/lisp/org/org-irc
/home/adamsrl/.emacs.d/elpa/org-20180730/ob-shen hides /usr/share/emacs/26.1/lisp/org/ob-shen
/home/adamsrl/.emacs.d/elpa/org-20180730/ob-ditaa hides /usr/share/emacs/26.1/lisp/org/ob-ditaa
/home/adamsrl/.emacs.d/elpa/org-20180730/ob-J hides /usr/share/emacs/26.1/lisp/org/ob-J
/home/adamsrl/.emacs.d/elpa/org-20180730/org-feed hides /usr/share/emacs/26.1/lisp/org/org-feed
/home/adamsrl/.emacs.d/elpa/org-20180730/ox-html hides /usr/share/emacs/26.1/lisp/org/ox-html
/home/adamsrl/.emacs.d/elpa/org-20180730/ob-stan hides /usr/share/emacs/26.1/lisp/org/ob-stan
/home/adamsrl/.emacs.d/elpa/org-20180730/ob-io hides /usr/share/emacs/26.1/lisp/org/ob-io
/home/adamsrl/.emacs.d/elpa/org-20180730/ob-python hides /usr/share/emacs/26.1/lisp/org/ob-python
/home/adamsrl/.emacs.d/elpa/org-20180730/ob-shell hides /usr/share/emacs/26.1/lisp/org/ob-shell
/home/adamsrl/.emacs.d/elpa/org-20180730/ob-sed hides /usr/share/emacs/26.1/lisp/org/ob-sed
/home/adamsrl/.emacs.d/elpa/org-20180730/ox-org hides /usr/share/emacs/26.1/lisp/org/ox-org
/home/adamsrl/.emacs.d/elpa/org-20180730/ob-octave hides /usr/share/emacs/26.1/lisp/org/ob-octave
/home/adamsrl/.emacs.d/elpa/org-20180730/ob-groovy hides /usr/share/emacs/26.1/lisp/org/ob-groovy
/home/adamsrl/.emacs.d/elpa/org-20180730/org-indent hides /usr/share/emacs/26.1/lisp/org/org-indent
/home/adamsrl/.emacs.d/elpa/org-20180730/ob-lua hides /usr/share/emacs/26.1/lisp/org/ob-lua
/home/adamsrl/.emacs.d/elpa/org-20180730/ob-keys hides /usr/share/emacs/26.1/lisp/org/ob-keys
/home/adamsrl/.emacs.d/elpa/org-20180730/ob-picolisp hides /usr/share/emacs/26.1/lisp/org/ob-picolisp
/home/adamsrl/.emacs.d/elpa/org-20180730/org-entities hides /usr/share/emacs/26.1/lisp/org/org-entities
/home/adamsrl/.emacs.d/elpa/org-20180730/ob-fortran hides /usr/share/emacs/26.1/lisp/org/ob-fortran
/home/adamsrl/.emacs.d/elpa/org-20180730/org-plot hides /usr/share/emacs/26.1/lisp/org/org-plot
/home/adamsrl/.emacs.d/elpa/org-20180730/org-clock hides /usr/share/emacs/26.1/lisp/org/org-clock
/home/adamsrl/.emacs.d/elpa/org-20180730/org-timer hides /usr/share/emacs/26.1/lisp/org/org-timer
/home/adamsrl/.emacs.d/elpa/org-20180730/org-eww hides /usr/share/emacs/26.1/lisp/org/org-eww
/home/adamsrl/.emacs.d/elpa/org-20180730/ob-vala hides /usr/share/emacs/26.1/lisp/org/ob-vala
/home/adamsrl/.emacs.d/elpa/org-20180730/ob-table hides /usr/share/emacs/26.1/lisp/org/ob-table
/home/adamsrl/.emacs.d/elpa/org-20180730/ob-R hides /usr/share/emacs/26.1/lisp/org/ob-R
/home/adamsrl/.emacs.d/elpa/org-20180730/ob-processing hides /usr/share/emacs/26.1/lisp/org/ob-processing
/home/adamsrl/.emacs.d/elpa/org-20180730/ob-coq hides /usr/share/emacs/26.1/lisp/org/ob-coq
/home/adamsrl/.emacs.d/elpa/org-20180730/ob-css hides /usr/share/emacs/26.1/lisp/org/ob-css
/home/adamsrl/.emacs.d/elpa/org-20180730/ob-matlab hides /usr/share/emacs/26.1/lisp/org/ob-matlab
/home/adamsrl/.emacs.d/elpa/org-20180730/ob-scheme hides /usr/share/emacs/26.1/lisp/org/ob-scheme
/home/adamsrl/.emacs.d/elpa/org-20180730/org-attach hides /usr/share/emacs/26.1/lisp/org/org-attach
/home/adamsrl/.emacs.d/elpa/org-20180730/org-loaddefs hides /usr/share/emacs/26.1/lisp/org/org-loaddefs
/home/adamsrl/.emacs.d/elpa/org-20180730/ox-ascii hides /usr/share/emacs/26.1/lisp/org/ox-ascii
/home/adamsrl/.emacs.d/elpa/org-20180730/org-list hides /usr/share/emacs/26.1/lisp/org/org-list
/home/adamsrl/.emacs.d/elpa/org-20180730/ox-man hides /usr/share/emacs/26.1/lisp/org/ox-man
/home/adamsrl/.emacs.d/elpa/org-20180730/ob-lob hides /usr/share/emacs/26.1/lisp/org/ob-lob
/home/adamsrl/.emacs.d/elpa/org-20180730/org-rmail hides /usr/share/emacs/26.1/lisp/org/org-rmail
/home/adamsrl/.emacs.d/elpa/org-20180730/ob-calc hides /usr/share/emacs/26.1/lisp/org/ob-calc
/home/adamsrl/.emacs.d/elpa/org-20180730/org-crypt hides /usr/share/emacs/26.1/lisp/org/org-crypt
/home/adamsrl/.emacs.d/elpa/org-20180730/ob-ref hides /usr/share/emacs/26.1/lisp/org/ob-ref
/home/adamsrl/.emacs.d/elpa/org-20180730/org-mhe hides /usr/share/emacs/26.1/lisp/org/org-mhe
/home/adamsrl/.emacs.d/elpa/org-20180730/ob-exp hides /usr/share/emacs/26.1/lisp/org/ob-exp
/home/adamsrl/.emacs.d/elpa/org-20180730/org-ctags hides /usr/share/emacs/26.1/lisp/org/org-ctags
/home/adamsrl/.emacs.d/elpa/org-20180730/ob-mscgen hides /usr/share/emacs/26.1/lisp/org/ob-mscgen
/home/adamsrl/.emacs.d/elpa/org-20180730/org-footnote hides /usr/share/emacs/26.1/lisp/org/org-footnote
/home/adamsrl/.emacs.d/elpa/org-20180730/org-lint hides /usr/share/emacs/26.1/lisp/org/org-lint
/home/adamsrl/.emacs.d/elpa/org-20180730/ob-ocaml hides /usr/share/emacs/26.1/lisp/org/ob-ocaml
/home/adamsrl/.emacs.d/elpa/org-20180730/org-macro hides /usr/share/emacs/26.1/lisp/org/org-macro
/home/adamsrl/.emacs.d/elpa/org-20180730/ob-forth hides /usr/share/emacs/26.1/lisp/org/ob-forth
/home/adamsrl/.emacs.d/elpa/org-20180730/ob-sqlite hides /usr/share/emacs/26.1/lisp/org/ob-sqlite
/home/adamsrl/.emacs.d/elpa/org-20180730/ob-lisp hides /usr/share/emacs/26.1/lisp/org/ob-lisp
/home/adamsrl/.emacs.d/elpa/org-20180730/ob-java hides /usr/share/emacs/26.1/lisp/org/ob-java
/home/adamsrl/.emacs.d/elpa/org-20180730/org-bbdb hides /usr/share/emacs/26.1/lisp/org/org-bbdb
/home/adamsrl/.emacs.d/elpa/org-20180730/org-faces hides /usr/share/emacs/26.1/lisp/org/org-faces
/home/adamsrl/.emacs.d/elpa/org-20180730/ob-ruby hides /usr/share/emacs/26.1/lisp/org/ob-ruby
/home/adamsrl/.emacs.d/elpa/org-20180730/ox-md hides /usr/share/emacs/26.1/lisp/org/ox-md
/home/adamsrl/.emacs.d/elpa/org-20180730/ob-asymptote hides /usr/share/emacs/26.1/lisp/org/ob-asymptote
/home/adamsrl/.emacs.d/elpa/org-20180730/org-agenda hides /usr/share/emacs/26.1/lisp/org/org-agenda
/home/adamsrl/.emacs.d/elpa/org-20180730/ob-makefile hides /usr/share/emacs/26.1/lisp/org/ob-makefile
/home/adamsrl/.emacs.d/elpa/org-20180730/ob-hledger hides /usr/share/emacs/26.1/lisp/org/ob-hledger
/home/adamsrl/.emacs.d/elpa/org-20180730/ox-latex hides /usr/share/emacs/26.1/lisp/org/ox-latex
/home/adamsrl/.emacs.d/elpa/org-20180730/ox-odt hides /usr/share/emacs/26.1/lisp/org/ox-odt
/home/adamsrl/.emacs.d/elpa/org-20180730/org-src hides /usr/share/emacs/26.1/lisp/org/org-src
/home/adamsrl/.emacs.d/elpa/org-20180730/org-datetree hides /usr/share/emacs/26.1/lisp/org/org-datetree
/home/adamsrl/.emacs.d/elpa/org-20180730/ob-clojure hides /usr/share/emacs/26.1/lisp/org/ob-clojure
/home/adamsrl/.emacs.d/elpa/org-20180730/org-element hides /usr/share/emacs/26.1/lisp/org/org-element
/home/adamsrl/.emacs.d/elpa/org-20180730/org-bibtex hides /usr/share/emacs/26.1/lisp/org/org-bibtex
/home/adamsrl/.emacs.d/elpa/org-20180730/org-capture hides /usr/share/emacs/26.1/lisp/org/org-capture
/home/adamsrl/.emacs.d/elpa/org-20180730/ob-latex hides /usr/share/emacs/26.1/lisp/org/ob-latex
/home/adamsrl/.emacs.d/elpa/org-20180730/ob-abc hides /usr/share/emacs/26.1/lisp/org/ob-abc
/home/adamsrl/.emacs.d/elpa/org-20180730/ox hides /usr/share/emacs/26.1/lisp/org/ox
/home/adamsrl/.emacs.d/elpa/org-20180730/org-macs hides /usr/share/emacs/26.1/lisp/org/org-macs
/home/adamsrl/.emacs.d/elpa/org-20180730/ob-screen hides /usr/share/emacs/26.1/lisp/org/ob-screen
/home/adamsrl/.emacs.d/elpa/org-20180730/ob-perl hides /usr/share/emacs/26.1/lisp/org/ob-perl
/home/adamsrl/.emacs.d/elpa/org-20180730/ob-ebnf hides /usr/share/emacs/26.1/lisp/org/ob-ebnf
/home/adamsrl/.emacs.d/elpa/org-20180730/ob-emacs-lisp hides /usr/share/emacs/26.1/lisp/org/ob-emacs-lisp
/home/adamsrl/.emacs.d/elpa/org-20180730/org-colview hides /usr/share/emacs/26.1/lisp/org/org-colview
/home/adamsrl/.emacs.d/elpa/org-20180730/org-compat hides /usr/share/emacs/26.1/lisp/org/org-compat
/home/adamsrl/.emacs.d/elpa/org-20180730/ob-C hides /usr/share/emacs/26.1/lisp/org/ob-C
/home/adamsrl/.emacs.d/elpa/org-20180730/org-table hides /usr/share/emacs/26.1/lisp/org/org-table
/home/adamsrl/.emacs.d/elpa/org-20180730/org-info hides /usr/share/emacs/26.1/lisp/org/org-info
/home/adamsrl/.emacs.d/elpa/org-20180730/ob-tangle hides /usr/share/emacs/26.1/lisp/org/ob-tangle
/home/adamsrl/.emacs.d/elpa/org-20180730/org-mobile hides /usr/share/emacs/26.1/lisp/org/org-mobile
/home/adamsrl/.emacs.d/elpa/org-20180730/ob-awk hides /usr/share/emacs/26.1/lisp/org/ob-awk
/home/adamsrl/.emacs.d/elpa/org-20180730/org-pcomplete hides /usr/share/emacs/26.1/lisp/org/org-pcomplete
/home/adamsrl/.emacs.d/elpa/org-20180730/org hides /usr/share/emacs/26.1/lisp/org/org
/home/adamsrl/.emacs.d/elpa/org-20180730/ob-org hides /usr/share/emacs/26.1/lisp/org/ob-org
/home/adamsrl/.emacs.d/elpa/org-20180730/ob-haskell hides /usr/share/emacs/26.1/lisp/org/ob-haskell
/home/adamsrl/.emacs.d/elpa/org-20180730/org-version hides /usr/share/emacs/26.1/lisp/org/org-version
/home/adamsrl/.emacs.d/elpa/org-20180730/ox-icalendar hides /usr/share/emacs/26.1/lisp/org/ox-icalendar
/home/adamsrl/.emacs.d/elpa/org-20180730/org-w3m hides /usr/share/emacs/26.1/lisp/org/org-w3m
/home/adamsrl/.emacs.d/elpa/org-20180730/ox-beamer hides /usr/share/emacs/26.1/lisp/org/ox-beamer
/home/adamsrl/.emacs.d/elpa/org-20180730/org-install hides /usr/share/emacs/26.1/lisp/org/org-install
/home/adamsrl/.emacs.d/elpa/org-20180730/org-eshell hides /usr/share/emacs/26.1/lisp/org/org-eshell
/home/adamsrl/.emacs.d/elpa/org-20180730/ob hides /usr/share/emacs/26.1/lisp/org/ob
/home/adamsrl/.emacs.d/elpa/org-20180730/ob-dot hides /usr/share/emacs/26.1/lisp/org/ob-dot
/home/adamsrl/.emacs.d/elpa/org-20180730/ob-lilypond hides /usr/share/emacs/26.1/lisp/org/ob-lilypond

Features:
(shadow sort mail-extr warnings emacsbug message rmc puny dired
dired-loaddefs rfc822 mml mml-sec epa derived epg gnus-util rmail
rmail-loaddefs mm-decode mm-bodies mm-encode mail-parse rfc2231
mailabbrev gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums
mm-util mail-prsvr mail-utils cus-edit wid-edit linum help-fns
radix-tree server company-oddmuse company-keywords company-etags
company-gtags company-dabbrev-code company-dabbrev company-files
company-capf company-cmake company-xcode company-clang company-semantic
company-eclim company-template company-bbdb slime-fancy
slime-trace-dialog slime-fontifying-fu slime-package-fu slime-references
slime-compiler-notes-tree slime-scratch slime-presentations bridge
slime-macrostep macrostep slime-mdot-fu slime-enclosing-context
slime-fuzzy slime-fancy-trace slime-fancy-inspector slime-c-p-c
slime-editing-commands slime-autodoc slime-repl slime-parse slime
compile etags xref project arc-mode archive-mode pp hyperspec browse-url
ob-sql ob-shell shell appt org-import-icalendar icalendar diary-lib
diary-loaddefs ox-odt rng-loc rng-uri rng-parse rng-match rng-dt
rng-util rng-pttrn nxml-parse nxml-ns nxml-enc xmltok nxml-util ox-latex
ox-icalendar ox-html table ox-ascii ox-publish ox org-element avl-tree
generator the-org-mode-expansions org org-macro org-footnote
org-pcomplete pcomplete org-list org-faces org-entities noutline outline
org-version ob-emacs-lisp org-loaddefs find-func ob ob-tangle org-src
ob-ref ob-lob ob-table ob-keys ob-exp ob-comint ob-core ob-eval
org-compat org-macs vc-fossil expand-region text-mode-expansions
er-basic-expansions thingatpt expand-region-core expand-region-custom
pdftools lua-mode comint ansi-color ring geiser company pcase calfw
format-spec holidays hol-loaddefs cal-menu calendar cal-loaddefs bbdb-
advice yaxception log4e rx bbdb bbdb-site timezone paredit htmlize
yasnippet elec-pair color cl rainbow-delimiters time-date paren savehist
ido cus-start cus-load edmacro kmacro hl-line lush-theme cl-extra
help-mode use-package use-package-ensure use-package-delight
use-package-diminish use-package-bind-key bind-key easy-mmode
use-package-core finder-inf info slime-autoloads package easymenu
epg-config url-handlers url-parse auth-source cl-seq eieio eieio-core
cl-macs eieio-loaddefs password-cache url-vars seq byte-opt gv bytecomp
byte-compile cconv cl-loaddefs cl-lib site-gentoo mule-util tooltip
eldoc electric uniquify ediff-hook vc-hooks lisp-float-type mwheel
term/x-win x-win term/common-win x-dnd tool-bar dnd fontset image
regexp-opt fringe tabulated-list replace newcomment text-mode elisp-mode
lisp-mode prog-mode register page menu-bar rfn-eshadow isearch timer
select scroll-bar mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame cl-generic cham georgian utf-8-lang misc-lang
vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms cp51932
hebrew greek romanian slovak czech european ethiopic indian cyrillic
chinese composite charscript charprop case-table epa-hook jka-cmpr-hook
help simple abbrev obarray minibuffer cl-preloaded nadvice loaddefs
button faces cus-face macroexp files text-properties overlay sha1 md5
base64 format env code-pages mule custom widget hashtable-print-readable
backquote inotify dynamic-setting font-render-setting x-toolkit x
multi-tty make-network-process emacs)

Memory information:
((conses 16 296686 23122)
 (symbols 48 40144 1)
 (miscs 40 159 262)
 (strings 32 108643 2461)
 (string-bytes 1 3261685)
 (vectors 16 42244)
 (vector-slots 8 805719 7122)
 (floats 8 326 180)
 (intervals 56 1627 838)
 (buffers 992 15))




Acknowledgement sent to Russell Adams <Demo@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#32334; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.